info:
  name: Autorizzatori Struttura
  type: http
  seq: 3

http:
  method: GET
  url: "{{IdemApiUrl}}/strutt_dip_centri_resp.php?cd_csa=106154"
  params:
    - name: id_ab
      value: "199930"
      type: query
      disabled: true
    - name: id_ab
      value: "259638"
      type: query
      disabled: true
    - name: cd_csa
      value: "106010"
      type: query
      disabled: true
    - name: id_ab
      value: "112208"
      type: query
      disabled: true
    - name: id_ab
      value: "186473"
      type: query
      disabled: true
    - name: id_ab
      value: "223161"
      type: query
      disabled: true
    - name: id_ab
      value: "158026"
      type: query
      disabled: true
    - name: cd_csa
      value: "106154"
      type: query
    - name: id_ab
      value: "186475"
      type: query
      disabled: true
    - name: id_ab
      value: "105846"
      type: query
      disabled: true
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Dipartimento - Success
    request:
      url: "{{IdemApiUrl}}/strutt_dip_centri_resp.php?id_ab=186473"
      method: GET
      params:
        - name: id_ab
          value: "199930"
          type: query
          disabled: true
        - name: id_ab
          value: "259638"
          type: query
          disabled: true
        - name: cd_csa
          value: "106010"
          type: query
          disabled: true
        - name: id_ab
          value: "112208"
          type: query
          disabled: true
        - name: id_ab
          value: "186473"
          type: query
    response:
      status: 200
      statusText: OK
      headers:
        - name: date
          value: Fri, 05 Jun 2026 12:40:00 GMT
        - name: server
          value: Apache/2.2.15 (CentOS)
        - name: x-powered-by
          value: PHP/5.3.3
        - name: content-length
          value: "629"
        - name: connection
          value: close
        - name: content-type
          value: application/json
      body:
        type: json
        data: |-
          {
            "direttore": {
              "cognome": "MENOZZI",
              "nome": "Roberto",
              "titolo": "Prof.",
              "codice_fiscale": "MNZRRT63C02D969V",
              "email": "roberto.menozzi@unipr.it",
              "id_ab": "16088",
              "id_ab_struttura": "186473",
              "descrizione_struttura": "Dipartimento di Ingegneria e Architettura"
            },
            "RAG": {
              "cognome": "MORINI",
              "nome": "Giuliana",
              "titolo": "Dott.ssa",
              "codice_fiscale": "MRNGLN63L66G337Y",
              "email": "giuliana.morini@unipr.it",
              "id_ab": "18249",
              "id_ab_struttura": "192533",
              "descrizione_struttura": "U.O. Amministrazione Dipartimentale Dipartimento di Ingegneria e Architettura"
            },
            "id_ab_struttura": "186473",
            "descrizione_struttura": "Dipartimento di Ingegneria e Architettura"
          }
  - name: Centro (no RAG) - Success
    request:
      url: "{{IdemApiUrl}}/strutt_dip_centri_resp.php?id_ab=112208"
      method: GET
      params:
        - name: id_ab
          value: "199930"
          type: query
          disabled: true
        - name: id_ab
          value: "259638"
          type: query
          disabled: true
        - name: cd_csa
          value: "106010"
          type: query
          disabled: true
        - name: id_ab
          value: "112208"
          type: query
        - name: id_ab
          value: "186473"
          type: query
          disabled: true
    response:
      status: 200
      statusText: OK
      headers:
        - name: date
          value: Fri, 05 Jun 2026 12:53:33 GMT
        - name: server
          value: Apache/2.2.15 (CentOS)
        - name: x-powered-by
          value: PHP/5.3.3
        - name: content-length
          value: "505"
        - name: connection
          value: close
        - name: content-type
          value: application/json
      body:
        type: json
        data: |-
          {
            "direttore": {
              "cognome": "CORRADI",
              "nome": "Massimo",
              "titolo": "Prof.",
              "codice_fiscale": "CRRMSM70M25G337T",
              "email": "massimo.corradi@unipr.it",
              "id_ab": "17721",
              "id_ab_struttura": "186474",
              "descrizione_struttura": "Dipartimento di Medicina e Chirurgia"
            },
            "RAG": {
              "cognome": null,
              "nome": null,
              "titolo": null,
              "codice_fiscale": null,
              "email": null,
              "id_ab": null,
              "id_ab_struttura": null,
              "descrizione_struttura": null
            },
            "id_ab_struttura": "112208",
            "descrizione_struttura": "Centro di Eccellenza per la Ricerca Tossicologica - CERT"
          }
  - name: Not Found
    request:
      url: "{{IdemApiUrl}}/strutt_dip_centri_resp.php?id_ab=123"
      method: GET
      params:
        - name: id_ab
          value: "199930"
          type: query
          disabled: true
        - name: id_ab
          value: "259638"
          type: query
          disabled: true
        - name: cd_csa
          value: "106010"
          type: query
          disabled: true
        - name: id_ab
          value: "112208"
          type: query
          disabled: true
        - name: id_ab
          value: "186473"
          type: query
          disabled: true
        - name: id_ab
          value: "123"
          type: query
    response:
      status: 200
      statusText: OK
      headers:
        - name: date
          value: Fri, 05 Jun 2026 12:53:58 GMT
        - name: server
          value: Apache/2.2.15 (CentOS)
        - name: x-powered-by
          value: PHP/5.3.3
        - name: content-length
          value: "357"
        - name: connection
          value: close
        - name: content-type
          value: application/json
      body:
        type: json
        data: |-
          {
            "direttore": {
              "cognome": null,
              "nome": null,
              "titolo": null,
              "codice_fiscale": null,
              "email": null,
              "id_ab": null,
              "id_ab_struttura": null,
              "descrizione_struttura": null
            },
            "RAG": {
              "cognome": null,
              "nome": null,
              "titolo": null,
              "codice_fiscale": null,
              "email": null,
              "id_ab": null,
              "id_ab_struttura": null,
              "descrizione_struttura": null
            },
            "id_ab_struttura": null,
            "descrizione_struttura": null
          }

docs: |-
  | ID_AB  | CD_CSA | CD_NODO | DENOMINAZIONE                                                                 |
  | :----- | :----- | :------ | :---------------------------------------------------------------------------- |
  | 186449 | 106148 | 300800  | Dipartimento di Scienze Medico-Veterinarie                                    |
  | 186469 | 106150 | 300810  | Dipartimento di Scienze Matematiche, Fisiche e Informatiche                   |
  | 186470 | 106151 | 300820  | Dipartimento di Giurisprudenza, Studî Politici e Internazionali               |
  | 186471 | 106152 | 300830  | Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale |
  | 186472 | 106153 | 300840  | Dipartimento di Scienze Economiche e Aziendali                                |
  | 186473 | 106154 | 300850  | Dipartimento di Ingegneria e Architettura                                     |
  | 186474 | 106155 | 300860  | Dipartimento di Medicina e Chirurgia                                          |
  | 186475 | 106156 | 300870  | Dipartimento di Discipline Umanistiche, Sociali e delle Imprese Culturali     |
  | 186478 | 106157 | 300880  | Dipartimento di Scienze degli Alimenti e del Farmaco                          |
  | 259638 | 106277 | 300890  | Dipartimento di Ingegneria dei Sistemi e delle Tecnologie Industriali - DISTI |
